{
  "name": "main-web",
  "version": "6.5.0",
  "private": true,
  "author": "Haijun Zhang <zhanghaijun@beyondcent.com>",
  "scripts": {
    "serve": "vite",
    "build": "vue-tsc --noEmit && vite build",
    "preview": "vite preview",
    "lint": "eslint src/**/*.{js,jsx,vue,ts,tsx} --fix",
    "precommit": "lint-staged"
  },
  "dependencies": {
    "axios": "^0.27.2",
    "clipboard": "^2.0.11",
    "cmp-socket": "1.0.0",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.4",
    "element-plus": "^2.2.12",
    "js-cookie": "^3.0.1",
    "lodash-es": "^4.17.21",
    "nprogress": "^0.2.0",
    "path-to-regexp": "^6.2.1",
    "qiankun": "^2.7.4",
    "qs": "^6.11.0",
    "vue": "^3.2.37",
    "vue-router": "^4.1.3",
    "vuex": "^4.0.2"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.0.3",
    "@commitlint/config-conventional": "^17.0.3",
    "@iconify-json/ep": "^1.1.6",
    "@types/js-cookie": "^3.0.2",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^18.6.2",
    "@types/nprogress": "^0.2.0",
    "@typescript-eslint/eslint-plugin": "^5.32.0",
    "@typescript-eslint/parser": "^5.32.0",
    "@vitejs/plugin-vue": "^3.0.0",
    "consola": "^2.15.3",
    "eslint": "^8.21.0",
    "eslint-plugin-vue": "^9.3.0",
    "fast-glob": "^3.2.11",
    "sass": "^1.54.0",
    "typescript": "^4.6.4",
    "unocss": "^0.45.1",
    "unplugin-auto-import": "^0.10.2",
    "unplugin-icons": "^0.14.7",
    "unplugin-vue-components": "^0.21.2",
    "vite": "^3.0.0",
    "vite-plugin-eslint": "^1.7.0",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^0.38.4"
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged",
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  }
}
